<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Client;
class ClientController extends Controller
{
  public function index()
  {
    $clients = Client::all();
    return view('client.index', ['clients' => $clients]);
  }

  public function create()
  {
    return view('client.add');
  }

  public function show($id)
  {
    $client = Client::find($id);
    if($client)
    {
      return view('client.index' , ['client' => $client]);
    }
  }

  public function store(Request $request)
  {
    $this->validate($request,[
      'image' =>'required',
      'fullName' => 'required',
      'idCard' => 'required',
      'birthDate' => 'required',
      'province' => 'required',
      'district' => 'required',
      'sector' => 'required',
      'cellular' => 'required',
    ]);

    $client = new Client;
    $client->image = $request->image;
    $client->fullName = $request->fullName;
    $client->sex = $request->gender;
    $client->idCard = $request->idCard;
    $client->birthDate = $request->birthDate;
    $client->province = $request->province;
    $client->district = $request->district;
    $client->sector = $request->sector;
    $client->cellular = $request->cellular;

    $client->save();

      	return redirect()->route('client.index')->with('alert-success','Data Has Been Saved!');
  }

  public function edit($id)
  {
    $client = Client::findOrFail($id);
    return view('client.edit' , compact('client'));
  }

  public function update(Request $request , $id)
  {
    $this->validate($request,[
      'image' =>'required',
      'fullName' => 'required',
      'idCard' => 'required',
      'birthDate' => 'required',
      'province' => 'required',
      'district' => 'required',
      'sector' => 'required',
      'cellular' => 'required',
    ]);

    $client = Client::findOrFail($id);
    $client->image = $request->image;
    $client->fullName = $request->fullName;
    $client->sex = $request->gender;
    $client->idCard = $request->idCard;
    $client->birthDate = $request->birthDate;
    $client->province = $request->province;
    $client->district = $request->district;
    $client->sector = $request->sector;
    $client->cellular = $request->cellular;

    $client->save();

      	return redirect()->route('client.index')->with('alert-success','Data Has Been Saved!');
  }

  public function destroy($id)
  {
    $client = Client::findOrFail($id);
    if($client)
    {
      $client->delete();
      return redirect()->route('client.index')->with('alert-success','Data Has Been Delete!');
    }
  }

  public function search(Request $request)
  {
      $query = $request->get('search');

      $clients=Client::where('fullName','LIKE','%'.$query.'%')->get();

      $data=array();
      foreach ($clients as $client)
      {
          $data[]=array('fullName'=>$client->fullName,'id'=>$client->id);
      }
      if(count($data))
      {
          return $data;
      }
      else
      {
          return ['value'=>'No Result Found','id'=>''];
      }
  }
}
