@extends('master')
  @section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>Add Client</h1>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <form class="" action="{{route('client.update', $client->id)}}" method="post">
        <input name="_method" type="hidden" value="PATCH">
        {{csrf_field()}}
          <div class="form-group{{($errors->has('image')) ? $errors->first('image'): ''}}">
          <label>Image</label>
          <input type="file" name="image" >
          {!! $errors->first('image','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('fullName')) ? $errors->first('fullName'): ''}}">
          <label>Full Name</label>
          <input type="text" class="form-control" name="fullName" placeholder="Full name" value="{{$client->fullName}}">
          {!! $errors->first('fullName','<p class="help-block">:message</p>')!!}
          </div>
          <label>Sex</label>
          <select name="gender" class="form-control">
            <option value="male">Male</option>
            <option value="female">Female</option>
          </select>
          <div class="form-group{{($errors->has('idCard')) ? $errors->first('idCard'): ''}}">
          <label>Identity Card</label>
          <input type="text" name="idCard" class="form-control" placeholder="Identity Card" value="{{$client->idCard}}">
          {!! $errors->first('idCard','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('birthDate')) ? $errors->first('birthDate'): ''}}">
          <label>Birth Date</label>
          <input type="date" class="form-control" name="birthDate" value="{{$client->birthDate}}">
          {!! $errors->first('birthDate','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('province')) ? $errors->first('province'): ''}}">
          <label>Province</label>
          <input type="text" name="province" class="form-control" placeholder="Province" value="{{$client->province}}">
          {!! $errors->first('province','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('district')) ? $errors->first('district'): ''}}">
          <label>District</label>
          <input type="text" name="district" class="form-control" placeholder="District" value="{{$client->district}}">
          {!! $errors->first('district','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('sector')) ? $errors->first('sector'): ''}}">
          <label>Sector</label>
          <input type="text" name="sector" class="form-control" placeholder="Sector" value="{{$client->sector}}">
          {!! $errors->first('sector','<p class="help-block">:message</p>')!!}
          </div>
          <div class="form-group{{($errors->has('cellular')) ? $errors->first('cellular'): ''}}">
          <label>Cellular</label>
          <input type="text" name="cellular" class="form-control" placeholder="Cellular" value="{{$client->cellular}}">
          {!! $errors->first('cellular','<p class="help-block">:message</p>')!!}
          </div>
        </div>
        <div class="form-group">
          <input type="submit" class="btn btn-primary" value="save">
        </div>
      </form>
    </div>
  </div>
  @endsection
